メインコンテンツへスキップ
GET
/
marketing
/
marketing-events
/
2026-03
/
{objectId}
objectId別にマーケティングイベントを取得
curl --request GET \
  --url https://api.hubapi.com/marketing/marketing-events/2026-03/{objectId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/marketing/marketing-events/2026-03/{objectId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/marketing/marketing-events/2026-03/{objectId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "createdAt": "2023-11-07T05:31:56Z",
  "customProperties": [
    {
      "name": "<string>",
      "value": "<string>"
    }
  ],
  "eventName": "<string>",
  "objectId": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "appInfo": {
    "id": "<string>",
    "name": "<string>"
  },
  "attendees": 123,
  "cancellations": 123,
  "endDateTime": "2023-11-07T05:31:56Z",
  "eventCancelled": true,
  "eventCompleted": true,
  "eventDescription": "<string>",
  "eventOrganizer": "<string>",
  "eventStatus": "<string>",
  "eventStatusV2": "<string>",
  "eventType": "<string>",
  "eventUrl": "<string>",
  "externalEventId": "<string>",
  "noShows": 123,
  "registrants": 123,
  "startDateTime": "2023-11-07T05:31:56Z"
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectId
string
必須

HubSpotのマーケティングイベントの内部ID。

レスポンス

successful operation

createdAt
string<date-time>
必須

マーケティングイベントの作成日時

customProperties
object[]
必須
eventName
string
必須

マーケティングイベントの名前

objectId
string
必須

HubSpotのマーケティングイベントの内部ID

updatedAt
string<date-time>
必須

マーケティングイベントの更新日時

appInfo
object
attendees
integer<int32>

マーケティングイベントの参加済みコンタクトレコードの数

cancellations
integer<int32>

マーケティングイベントのキャンセル済みコンタクトレコードの数

endDateTime
string<date-time>

マーケティングイベントの終了日時

eventCancelled
boolean

マーケティングイベントがキャンセルされたかどうかを示します

eventCompleted
boolean

マーケティングイベントが完了したかどうかを示します

eventDescription
string

マーケティングイベントの説明。

eventOrganizer
string

マーケティングイベントの主催者の名前

eventStatus
string

マーケティングイベントのステータス

eventStatusV2
string
eventType
string

マーケティングイベントのタイプ

eventUrl
string

マーケティングイベントを管理できる外部イベントアプリケーションのURL

externalEventId
string

外部イベントアプリケーションでこのマーケティングイベントに関連付けられているID

noShows
integer<int32>

マーケティングイベントの欠席コンタクトレコードの数

registrants
integer<int32>

マーケティングイベントの登録済みコンタクトレコードの数

startDateTime
string<date-time>

マーケティングイベントの開始日時

最終更新日 2026年4月10日